Skip to content
Start here

Upload captions or subtitles

stream.captions.language.update(strlanguage, LanguageUpdateParams**kwargs) -> Caption
PUT/accounts/{account_id}/stream/{identifier}/captions/{language}

Uploads the caption or subtitle file to the endpoint for a specific BCP47 language. One caption or subtitle file per language is allowed.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Stream Write
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
identifier: str

A Cloudflare-generated unique identifier for a media item.

maxLength32
language: str

The language tag in BCP 47 format.

file: str

The WebVTT file containing the caption or subtitle content.

ReturnsExpand Collapse
class Caption:
generated: Optional[bool]

Whether the caption was generated via AI.

label: Optional[str]

The language label displayed in the native language to users.

language: Optional[str]

The language tag in BCP 47 format.

status: Optional[Literal["ready", "inprogress", "error"]]

The status of a generated caption.

One of the following:
"ready"
"inprogress"
"error"

Upload captions or subtitles

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
caption = client.stream.captions.language.update(
    language="tr",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    identifier="ea95132c15732412d22c1476fa83f27a",
    file="@/Users/kyle/Desktop/tr.vtt",
)
print(caption.generated)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "generated": true,
    "label": "Türkçe",
    "language": "tr",
    "status": "ready"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "generated": true,
    "label": "Türkçe",
    "language": "tr",
    "status": "ready"
  }
}